{% extends 'base.html.twig' %}

{% block title %}Se connecter{% endblock %}

{% block body %}

    <div class="baniere"> 
        <h1>Veuillez vous connecter</h1>
    </div>
    {% for message in app.flashes('message') %}
    <div class="alert alert-success" role="alert">
        {{message}}
    </div>
    {% endfor %}
    {% if error %}
        <div class="alert alert-danger">Email/Mot de passe invalide</div>
    {% endif %}
    
<div class="container">
<form method="post">
    <div class="formulaire">
        <label for="inputEmail">Email</label>
        <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" required><br>
        <label for="inputPassword">Mot de passe</label>
        <input type="password" name="password" id="inputPassword" class="form-control" required>
        <span class="show-password"><i class="fas fa-eye"></i></span>

        <input type="hidden" name="_csrf_token"
            value="{{ csrf_token('authenticate') }}"
        >

    {#
        Uncomment this section and add a remember_me option below your firewall to activate remember me functionality.
        See https://symfony.com/doc/current/security/remember_me.html

        <div class="checkbox mb-3">
            <label>
                <input type="checkbox" name="_remember_me"> Remember me
            </label>
        </div>
    #}
        </br>
        <div class="btn-formulaire">
            <button type="submit" class="btn btnColor">Se Connecter</button>
        </div>
        
        <br><a href="{{path('app_forgotten_password')}}">Mot de passe oublié ?</a>
        <p>Vous n'avez pas encore de compte ? <a href="{{ path('app_register')}}">Créez-en un !</a></p>
    </div>
</form>
</div>

{% endblock %}
